Subject: Re: [PATCH v4] kptr_restrict for hiding kernel pointers

From: Andrew Morton <[email-masked]>
Date: Wed, 22 Dec 2010 12:34:44 -0800

On Wed, 22 Dec 2010 17:21:18 +0100
Ingo Molnar <[email-masked]> wrote:

> 
> * Eric Dumazet <[email-masked]> wrote:
> 
> > Le mercredi 22 d__cembre 2010 __ 08:13 -0500, Dan Rosenberg a __crit :
> > > > Hm, why is it off by default? Is there some user-space regression that is caused by 
> > > > this?
> > > > 
> > > > We really want good security measures to be active by default (and to work by 
> > > > default) - they are not worth much if they are not.
> > > > 
> > > 
> > > I agree entirely, but I've received a lot of resistance to these types
> > > of changes in net.  I'm afraid that if it's enabled by default, no one
> > > will actually allow use of the %pK specifier where it should be used.
> > > 
> > 
> > Actually, "net resistance" was against your first patches, using quick
> > and dirty techniques (Should I remind you some of them ?)
> > 
> > Now you have a helper, it should be easier to integrate the changes.
> 
> Great - if the concept itself wasnt objected to then i think we should flip the 
> default to on.
> 

Yes, I'll make that change.  If we get reports of breakage during
2.6.38-rcX then we can reconsider.  But if we leave the feature
disabled, we will never know...